Bug 710194 - Review Request: tepache - Code sketcher for python
Summary: Review Request: tepache - Code sketcher for python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 708475 710199
TreeView+ depends on / blocked
 
Reported: 2011-06-02 16:06 UTC by Richard Shaw
Modified: 2011-06-21 17:29 UTC (History)
3 users (show)

Fixed In Version: tepache-1.1.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-21 17:18:48 UTC
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Richard Shaw 2011-06-02 16:06:56 UTC
Spec URL: http://hobbes1069.fedorapeople.org/tepache/tepache.spec
SRPM URL: http://hobbes1069.fedorapeople.org/tepache/tepache-1.1.2-1.fc14.src.rpm

Description:
Tepache is a code sketcher for python that uses pygtk and glade. It could look
like other glade codegens, but it is totally different. Not a glade
codegen but a code sketcher.

NOTE:
The main reason for this package is to supply SimpleGladeApp.py which was orphaned by it's original author and adopted by the author of tepache.

This is needed by review request 708475[1] for PySDM which currently bundles SimpleGladeApp.py.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=708475

rpmlint outout:
$ rpmlint rpmbuild/SPECS/tepache.spec rpmbuild/SRPMS/tepache-1.1.2-1.fc14.src.rpm rpmbuild/RPMS/noarch/tepache-1.1.2-1.fc14.noarch.rpm
tepache.src: W: spelling-error %description -l en_US pygtk -> Pygmy, pygmy, pygmean
tepache.src: W: spelling-error %description -l en_US codegens -> code gens, code-gens, codename
tepache.src: W: spelling-error %description -l en_US codegen -> code gen, code-gen, codename
tepache.noarch: W: spelling-error %description -l en_US pygtk -> Pygmy, pygmy, pygmean
tepache.noarch: W: spelling-error %description -l en_US codegens -> code gens, code-gens, codename
tepache.noarch: W: spelling-error %description -l en_US codegen -> code gen, code-gen, codename
tepache.noarch: W: no-manual-page-for-binary tepache
2 packages and 1 specfiles checked; 0 errors, 7 warnings.

Comment 1 Jerry James 2011-06-02 19:13:16 UTC
I will take this review.

Comment 2 Jerry James 2011-06-02 19:27:41 UTC
I like the "pygmy" suggestion. :-)  Unless you plan on using the same spec file with EPEL, some elements of the spec file can be removed: the python_sitelib definition at the top, BuildRoot, "rm -rf %{buildroot}" at the top of %install, the %clean script, and %defattr in %files.

+: OK
-: must be fixed
=: should be fixed (at your discretion)
N: not applicable

MUST:
[+] rpmlint output: shown in comment 1 (slightly different spelling
suggestions, but otherwise identical on my machine)
[-] follows package naming guidelines: according to https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29 this package should be named python-tepache.
[+] package meets the packaging guidelines
[+] package uses a Fedora approved license
[+] license field matches the actual license
[N] license file is included in %doc
[+] spec file is in American English
[+] spec file is legible
[+] sources match upstream: md5sum is b7a560d05a96f9cd7e374ef74a36c8cb for both
[+] package builds on at least one primary arch (tried x86_64)
[N] appropriate use of ExcludeArch
[+] all build requirements in BuildRequires
[N] spec file handles locales properly
[N] ldconfig in %post and %postun
[+] no bundled copies of system libraries
[N] no relocatable packages
[+] package owns all directories that it creates
[+] no files listed twice in %files
[+] proper permissions on files
[+] consistent use of macros
[+] code or permissible content
[N] large documentation in -doc
[+] no runtime dependencies in %doc
[N] header files in -devel
[N] static libraries in -static
[N] .so in -devel
[N] -devel requires main package
[+] package contains no libtool archives
[N] package contains a desktop file, uses desktop-file-install
[+] package does not own files/dirs owned by other packages
[+] all filenames in UTF-8

SHOULD:
[=] query upstream for license text
[N] description and summary contains available translations
[+] package builds in mock: tried fedora-rawhide-i386
[+] package builds on all supported arches: tried i386 and x86_64
[+] package functions as described: minimal testing only
[+] sane scriptlets
[N] subpackages require the main package
[N] placement of pkgconfig files
[N] file dependencies versus package dependencies
[=] package contains man pages for binaries/scripts

Comment 3 Richard Shaw 2011-06-02 20:17:12 UTC
(In reply to comment #2)
> Unless you plan on using the same spec file
> with EPEL, some elements of the spec file can be removed: the python_sitelib
> definition at the top, BuildRoot, "rm -rf %{buildroot}" at the top of %install,
> the %clean script, and %defattr in %files.

I was aware of everything except the "rm -rf..." in install and the %defattr. Have the packaging guidelines been updated to reflect all of this?

> [-] follows package naming guidelines: according to
> https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29
> this package should be named python-tepache.

Hmm... The only problem I see is that tepache isn't a module but a end user script. SimpleGladeApp.py is the module. 

I don't really care one way of the other personally, as it will work for PySDM either way, but I worry that someone installing python-tepache will be expecting a module instead of a executable...

What do you think?

Richard

Comment 4 Richard Shaw 2011-06-02 20:20:14 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Unless you plan on using the same spec file
> > with EPEL, some elements of the spec file can be removed: the python_sitelib
> > definition at the top, BuildRoot, "rm -rf %{buildroot}" at the top of %install,
> > the %clean script, and %defattr in %files.
> 
> I was aware of everything except the "rm -rf..." in install and the %defattr.
> Have the packaging guidelines been updated to reflect all of this?

Never mind... I found them. It could be a little more explicit. I don't know why but I feel better with %defattr there but I'll remove the rest.

Richard

Comment 5 Jerry James 2011-06-03 15:39:37 UTC
(In reply to comment #3)
> Hmm... The only problem I see is that tepache isn't a module but a end user
> script. SimpleGladeApp.py is the module. 

Ah, good point.  In that case, this package meets all of the MUST requirements, so it is approved.  I encourage you to contact upstream about a license file, though.

Comment 6 Richard Shaw 2011-06-03 16:02:56 UTC
Contacted upstream, we'll see if the contacts me back.

Comment 7 Richard Shaw 2011-06-03 16:04:51 UTC
New Package SCM Request
=======================
Package Name: tepache
Short Description: Code sketcher for python
Owners: hobbes1069
Branches: F14 F15
InitialCC:

Comment 8 Gwyn Ciesla 2011-06-03 19:06:06 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-06-07 18:57:42 UTC
tepache-1.1.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tepache-1.1.2-1.fc14

Comment 10 Fedora Update System 2011-06-07 18:59:01 UTC
tepache-1.1.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tepache-1.1.2-1.fc15

Comment 11 Fedora Update System 2011-06-08 23:59:26 UTC
tepache-1.1.2-1.fc14 has been pushed to the Fedora 14 testing repository.

Comment 12 Fedora Update System 2011-06-21 17:18:43 UTC
tepache-1.1.2-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 13 Fedora Update System 2011-06-21 17:29:25 UTC
tepache-1.1.2-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.